icu::SimpleNumberFormatFactory Class Reference

A NumberFormatFactory that supports a single locale. More...

`#include <numfmt.h>`

Inheritance diagram for icu::SimpleNumberFormatFactory:

## Public Member Functions

| SimpleNumberFormatFactory (const Locale &locale, UBool visible=true)
virtual | ~SimpleNumberFormatFactory ()
virtual UBool | visible (void) const override
virtual const UnicodeString * | getSupportedIDs (int32_t &count, UErrorCode &status) const override
Public Member Functions inherited from icu::NumberFormatFactory
virtual | ~NumberFormatFactory ()
| Destructor. More...
virtual NumberFormat * | createFormat (const Locale &loc, UNumberFormatStyle formatType)=0
| Return a number format of the appropriate type. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Protected Attributes

const UBool | _visible
| True if the locale supported by this factory is visible. More...
UnicodeString | _id
| The locale supported by this factory, as a UnicodeString. More...

## Detailed Description

A NumberFormatFactory that supports a single locale.

It can be visible or invisible.

Stable:
  ICU 2.6

Definition at line 1230 of file numfmt.h.

## Constructor & Destructor Documentation

## SimpleNumberFormatFactory()

icu::SimpleNumberFormatFactory::SimpleNumberFormatFactory | ( | const Locale & | locale,
|  | UBool | visible = `true`
| ) |  |

Stable:
  ICU 2.6

## ~SimpleNumberFormatFactory()

virtual icu::SimpleNumberFormatFactory::~SimpleNumberFormatFactory | ( |  | ) |

virtual

Stable:
  ICU 3.0

## Member Function Documentation

## getSupportedIDs()

virtual const UnicodeString* icu::SimpleNumberFormatFactory::getSupportedIDs | ( | int32_t & | count,
|  | UErrorCode & | status
| ) |  | const

override virtual

Stable:
  ICU 2.6

Implements icu::NumberFormatFactory.

## visible()

virtual UBool icu::SimpleNumberFormatFactory::visible | ( | void |  | ) | const

override virtual

Stable:
  ICU 2.6

Implements icu::NumberFormatFactory.

## Field Documentation

## _id

UnicodeString icu::SimpleNumberFormatFactory::_id

protected

The locale supported by this factory, as a UnicodeString.

Stable:
  ICU 2.6

Definition at line 1242 of file numfmt.h.

## _visible

const UBool icu::SimpleNumberFormatFactory::_visible

protected

True if the locale supported by this factory is visible.

Stable:
  ICU 2.6

Definition at line 1236 of file numfmt.h.

The documentation for this class was generated from the following file:

- i18n/unicode/numfmt.h